Subject: Re: bug#12494: 0 exit status even when chmod fails

From: "Alan Curry" <[email-masked]>
Date: Mon, 24 Sep 2012 14:25:14 -0500 (GMT+5)

Sven Joachim writes:
> 
> On 2012-09-24 08:37 +0200, Alan Curry wrote:
> 
> > Georgiy Treyvus writes:
> >> 
> >> Finally I had him show me the mount options of the relevant partitions. 
> >> Many I recognized. Some I did not. I started researching those I did 
> >
> > Did you notice this one?:
> >
> > Mount options for fat
> >        (Note:  fat  is	not  a	separate  filesystem, but a common part of the
> >        msdos, umsdos and vfat filesystems.)
> >
> > [...]
> >        quiet  Turn on the quiet flag.  Attempts to chown or chmod files do not
> > 	      return errors, although they fail. Use with caution!
> >
> > If you're getting the quiet behavior without the quiet mount option, I'd say
> > that's a kernel bug.
> 
> Actually, it's the default unless you're using Linux 2.6.25.  This
> kernel reported an error to the caller, but since that broke rsync[1,2],
> 2.6.26 reverted to the previous behavior of silently ignoring chmod
> attempts which do not work on FAT filesystems[3].
> 
> This bug report should probably be closed.

If the mount man page disagrees with the kernel, it's still a bug in the man
page at least.

(Also, the rest of the world needs to work around extra stupidity because of
rsync?)

-- 
Alan Curry